org.apache.http.impl.cookie

## Class NetscapeDraftHeaderParser

- java.lang.Object
- - org.apache.http.impl.cookie.NetscapeDraftHeaderParser

    @Contract(threading=IMMUTABLE)
    public class NetscapeDraftHeaderParser
    extends Object

Since:
  4.0

### Field Summary

Fields
`static NetscapeDraftHeaderParser` `DEFAULT`

### Constructor Summary

Constructors
Constructor and Description
`NetscapeDraftHeaderParser()`

### Method Summary

Methods
`org.apache.http.HeaderElement` `parseHeader(org.apache.http.util.CharArrayBuffer buffer, org.apache.http.message.ParserCursor cursor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final NetscapeDraftHeaderParser DEFAULT

### Constructor Detail

#### NetscapeDraftHeaderParser

    public NetscapeDraftHeaderParser()

### Method Detail

#### parseHeader

    public org.apache.http.HeaderElement parseHeader(org.apache.http.util.CharArrayBuffer buffer,
                                            org.apache.http.message.ParserCursor cursor)
                                              throws org.apache.http.ParseException

Throws:
  `org.apache.http.ParseException`